#include <fstream>
#include <cstdio>
#include <algorithm>
#include <vector>

using namespace std;

int main()
{
	ifstream cin("reagents.in");
	ofstream cout("reagents.out");
	int n;
	cin >> n;
	vector<int> a(n);
	for (int i = 0; i < n; i++)
		cin >> a[i];
	sort(a.begin(), a.end());
	reverse(a.begin(), a.end()); 
	long double ans = a.back();
	int k = n;
	while (k--)
	{
		ans = (ans + a[k]) / 2;
	}
	cout.precision(20);
	cout << fixed << ans << endl;
}

